{
    xtype: 'fieldset', 
    id: 'confirm_one_time_order',
    anchor: '-0',
    layout: 'form',
    title: '<?php echo $LangPack->GetLabel("delivery_finish_window", "one_time_payment_fieldset_title","Pregled naročila");?>',
	items:[
	{
	    xtype: 'label',
	    id: 'confirm_text',
	    listeners:{
	        'afterrender': function(label){
	          		var itemCode = '<?php echo $LangPack->GetLabel("edit_order_window", "item_code_confirm_text","ŠIFRA IZDELKA");?>';
                    var izdelek = '<?php echo $LangPack->GetLabel("edit_order_window", "product_confirm_text","Izdelek");?>';
                    var kolicina = '<?php echo $LangPack->GetLabel("edit_order_window", "product_amount_confirm_text","Kos");?>';
                    var cenaLabel = '<?php echo $LangPack->GetLabel("edit_order_window", "product_price_confirm_text","Cena");?>';
                    var placano = '<?php echo $LangPack->GetLabel("edit_order_window", "avans_price_confirm_text","Plačano");?>';
                    var zaPlacat = '<?php echo $LangPack->GetLabel("edit_order_window", "avans_to_price_confirm_text","za plačati");?>';
                    
                    var text = itemCode + ': <?php echo $zad['product_code']; ?> <br> ';
                    text += izdelek + ': <?php echo $zad['product_name']; ?> <br>';
                    text += kolicina + ': <?php echo $zad['product_amount']; ?> <br>';
                    text += cenaLabel + ':  <?php echo str_replace(".", ",",round($zad['product_price'],2));?> <?php echo MONEY_VALUE;?><br>';
                    var avans = '<?php echo $zad['avans_amount']; ?>';
                    text += '<span style="color:green">'+placano+': '+avans+' <?php echo MONEY_VALUE;?></span><br>'; 
                    text += '<span style="color:red">'+zaPlacat+': <?php echo str_replace(".",",",round(floatval($zad['product_price']) - floatval($zad['avans_amount']),2)); ?> <?php echo MONEY_VALUE;?></span>';
                    Ext.getCmp('totalAmountCash').setValue('<?php echo round(floatval($zad['product_price']) - floatval($zad['avans_amount']),2); ?> ');
                    label.update(text);
	            }
	       }
	    }]
	},{
   		xtype: 'numberfield',
   		hidden: true,
   		id: 'totalAmountCash'
   },{
	    xtype: 'fieldset', 
	    anchor: '-0',
	    layout: 'form',
	    items:[new Ext.form.ComboBox({
	            fieldLabel: '<?php echo $LangPack->GetLabel("delivery_finish_window", "single_payment_type_label","Način plačila");?>', 
		    mode: 'local',
		    triggerAction: 'all',
		    editable: false,
		    width: 250,
		    hiddenName: 'data[delivery_finish_one_time_payment_type]',
		    name: 'delivery_finish_one_time_payment_type',
		    renderer : function(a, metaData, record) {
		        var st = Ext.getCmp('enkratni_nacin_placila').getStore();
		        if(st.find('id',a) != -1){
		            var r = st.getAt(st.find('id',a));
		            return r.data.value;
		        }
		    },
		    id: 'delivery_finish_one_time_payment_type',
		    lazyRender: true,
		    listeners:{
		        select: function(comp, a, b){
		            Ext.getCmp('payment_amount').show();
		            Ext.getCmp('delivery_finish_date').show();
		            Ext.getCmp('delivery_finish_comment').show();
		        }
		    },
		    store: new Ext.data.ArrayStore({
		        fields: [ 'id', 'value' ],
		        data: [
		        	[ 1, '<?php echo $LangPack->GetLabel("delivery_finish_window", "cash_payment_type","GOTOVINA");?>' ]
		        ]
		    }),
		    valueField: 'id',
		    displayField: 'value' 
	   	})
	,{
	    xtype: 'numberfield',
	    name: 'data[delivery_finish_amount]',
	    hidden:true,
	    validator: validateCashAmount,
	    msgTarget: 'under',
	    enableKeyEvents: true,
	    id: 'payment_amount',
	    editable: true,
	    //value: '<?php echo (round($zad['product_price'] * $zad['product_amount'],2));?>',
	    value: '<?php echo $zad['delivery_finish_amount'];?>',
	    fieldLabel: '<?php echo $LangPack->GetLabel("delivery_finish_window", "payment_amount","Znesek");?>',
	    width: 100
	},
	new Ext.form.DateField({
	    format: 'd.m.Y',
	    editable: false,
	    hidden:true,
	    value: new Date(<?php echo date_format($zad['delivery_finish_date'], "d.m.Y"); ?>),
	    id: 'delivery_finish_date',
	    name: 'data[delivery_finish_date]',
	    width: 100,
	    fieldLabel: '<?php echo $LangPack->GetLabel("delivery_finish_window", "delivery_finish_date","Datum dostave");?>',
	    listeners:{
	        select: function(comp,a,b){
	           
	        }
	    }
	}),{
	    xtype: 'textarea',
	    id: 'delivery_finish_comment',
	    hidden: true,
	    name: 'data[delivery_finish_comment]',
	    fieldLabel: '<?php echo $LangPack->GetLabel("edit_order_window", "delivery_finish_comment","Komentar");?>',
	    value: '<?php echo $zad['delivery_finish_comment']; ?>',
	    anchor: '100%',
	    height: 70
	}]
}